document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const menuToggle = document.querySelector('.menu-toggle');
  const navLinks = document.querySelector('.nav-links');

  menuToggle.addEventListener('click', () => {
    navLinks.classList.toggle('active');
    
    // Animate hamburger to X
    const spans = menuToggle.querySelectorAll('span');
    spans.forEach(span => span.classList.toggle('active'));
  });

  // Smooth scroll for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Subscribe form handling
  const subscribeForm = document.querySelector('.subscribe-form');
  if (subscribeForm) {
    subscribeForm.addEventListener('submit', (e) => {
      e.preventDefault();
      const email = subscribeForm.querySelector('input[type="email"]').value;
      
      // Add validation
      if (!email || !email.includes('@')) {
        alert('Please enter a valid email address');
        return;
      }

      // Here you would typically send to a server
      alert('Thank you for subscribing!');
      subscribeForm.reset();
    });
  }

  // Lazy loading images (if any added later)
  document.querySelectorAll('img[data-src]').forEach(img => {
    img.src = img.dataset.src;
    img.addEventListener('load', () => {
      img.removeAttribute('data-src');
    });
  });
});
